Subject: Re: bug#36679: 27.0.50; Add switches option to term (feature request)

From: Phil Sainty <[email-masked]>
Date: Tue, 16 Jul 2019 22:13:50 +1200

On 16/07/19 9:07 AM, Ergus wrote:
> Is it possible to add a variable like term-switches (or equivalents)
> in order to add options to initialize the shells when calling term?

Shall we implement this in the same manner as bug 33037 which addressed
the same issue for `comint-run' ?

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33037

In which I wrote:

> ...all of which reminds me that I've been meaning to write a similar
> patch to allow switches to be specified for the `term' and `ansi-term'
> commands, and a consistent approach in all cases would seem sensible;
> so that's something else to keep in mind.

(but then failed to follow up.)

CCing to Lars, who recently reviewed and committed the comint patch.

-Phil